Page MenuHomePhabricator

Add "autoreview" protection level on ar.wikipedia
Closed, ResolvedPublic

Description

Please add "autoreview" protection level on ar.wikipedia ($wgRestrictionLevels setting) per community consensus. Thank you.

Change

'wgRestrictionLevels' => [
	'default' => [
		'',
		'autoconfirmed', // semi-protection level on
		'sysop',
	],
	'arwiki' => [ '', 'autoconfirmed', 'review', 'sysop' ], // T54109, T146575

To

'wgRestrictionLevels' => [
	'default' => [
		'',
		'autoconfirmed', // semi-protection level on
		'sysop',
	],
	'arwiki' => [ '', 'autoconfirmed', 'autoreview', 'review', 'sysop' ], // T54109, T146575, T225896

Thanks on advance

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 16 2019, 6:35 PM
alanajjar updated the task description. (Show Details)Jun 16 2019, 6:37 PM
Urbanecm claimed this task.Jun 17 2019, 7:06 AM
Urbanecm triaged this task as Normal priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 17 2019, 7:06 AM

Change 517371 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add "autoreview" protection level on ar.wikipedia

https://gerrit.wikimedia.org/r/517371

Change 517371 merged by jenkins-bot:
[operations/mediawiki-config@master] Add "autoreview" protection level on ar.wikipedia

https://gerrit.wikimedia.org/r/517371

Mentioned in SAL (#wikimedia-operations) [2019-06-17T11:33:49Z] <awight@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:517371|Add autoreview protection level on ar.wikipedia (T225896)]] (duration: 00m 47s)

Urbanecm closed this task as Resolved.Jun 17 2019, 11:56 AM
This comment was removed by Vlad5250.